Subject: Bug#3290: sysvinit path doesn't include /usr/local/{,s}bin

From: Miquel van Smoorenburg <[email-masked]>
Date: Tue, 13 Aug 1996 13:06:32 +0200 (MET DST)

You (Ian Jackson) wrote:
> It seems to me that init should have an appropriate default PATH.
> This is especially true if the default is hard to change or override.
> 
> I've recently been bitten by an /etc/rc?.d script not having the PATH
> I expected.
> 
> The default PATH for non-superuser programs everywhere should be
>  /usr/local/bin:/bin:/usr/bin
> and for superuser (admin) programs
>  /usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
> should it not ?
[...]
> I shall reopen this bug report, to ensure that the issue is not
> forgotten; I hope we won't have to have more discussion before a
> consensus is reached, but if we do I hope the sysvinit maintainer will
> bear with us and allow us to keep the bug on his books while we agree
> what to do.

As noone has really followed up on this, and it sounds reasonable to me,
I've fixed the PATH setting in init.c and /etc/init.d/boot and /etc/init.d/rc
as proposed above.

(I have also changed this in login.c from util-linux while porting to the
Alpha - I think this will get back in the main dist).

Closing this bug report  -Mike.
-- 
  Miquel van    | Cistron Internet Services   --    Alphen aan den Rijn.
  Smoorenburg,  | mailto:[email-masked]          http://www.cistron.nl/
[email-masked] | Tel: +31-172-419445 (Voice) 430979 (Fax) 442580 (Data)